Debian Bug report logs - #206885
O: libgtk-perl -- Perl module for the libgtkxmhtml library.

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Martin Michlmayr <tbm@cyrius.com>

Date: Sat, 23 Aug 2003 18:19:06 UTC

Severity: normal

Fixed in version libgtk-perl/0.7009-1

Done: Stephen Zander <gibreel@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#206885; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Martin Michlmayr <tbm@cyrius.com>:
New Bug report received and forwarded. Copy sent to wnpp@debian.org. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Cc: Paolo Molaro <lupus@debian.org>
Subject: O: libgtk-perl -- Perl module for the libgtkxmhtml library.
Date: Sun, 24 Aug 2003 01:48:40 +1000
Package: wnpp
Severity: normal

The current maintainer of libgtk-perl, Paolo Molaro <lupus@debian.org>,
is apparently not active anymore.  Therefore, I orphan this package
now.  If you want to be the new maintainer, please take it -- see
http://www.debian.org/devel/wnpp/index.html#howto-o for detailed
instructions how to adopt a package properly.

Some information about this package:

Package: libgtk-perl
Binary: libgtkglarea-perl, libgnome-perl, libgtk-imlib-perl, libgtk-perl, libgladexml-perl, libgnome-applet-perl, libgnome-print-perl, libgtkxmhtml-perl, libgtk-pixbuf-perl
Version: 0.7008-1.7
Priority: optional
Section: interpreters
Maintainer: Paolo Molaro <lupus@debian.org>
Build-Depends: debhelper (>= 3.0.6), gtkglarea5-dev, libgnomeprint-dev, perl (>= 5.8.0-3), libpanel-applet-dev, libcapplet-dev, libgdk-pixbuf-gnome-dev, libggi2-dev, libgii0-dev, libglade-gnome0-dev, libunicode-dev, xlibmesa-dev, libxml-parser-perl, libxml-writer-perl, libzvt-dev, libgtkxmhtml-dev
Architecture: any
Standards-Version: 3.5.1
Format: 1.0
Directory: pool/main/libg/libgtk-perl
Files: 944d6ff5a1a96656d5ed09acddf6d1f0 998 libgtk-perl_0.7008-1.7.dsc
 b499abb5db7794f200abbf07879dd65d 455977 libgtk-perl_0.7008.orig.tar.gz
 ce4cf121cd8f6dbb94d7771fa74a5ee7 6031 libgtk-perl_0.7008-1.7.diff.gz

Package: libgladexml-perl
Priority: optional
Section: interpreters
Installed-Size: 184
Maintainer: Paolo Molaro <lupus@debian.org>
Architecture: i386
Source: libgtk-perl
Version: 0.7008-1.7
Depends: libgtk-perl (= 0.7008-1.7), perlapi-5.8.0, perl (>= 5.8.0-13), libc6 (>= 2.2.5-13), libglade0, libglib1.2 (>= 1.2.0), libgtk1.2 (>= 1.2.10-4), libxml1 (>= 1:1.8.14-3), xlibs (>> 4.1.0), zlib1g (>= 1:1.1.4)
Filename: pool/main/libg/libgtk-perl/libgladexml-perl_0.7008-1.7_i386.deb
Size: 46764
MD5sum: 1bf5d0312f96a8cbb9181ee8392ef619
Description: Perl module for the libglade library.
 This module lets you use the libglade library from perl.
 It provides an object-oriented interface and is easy to use.

Package: libgnome-applet-perl
Priority: optional
Section: interpreters
Installed-Size: 204
Maintainer: Paolo Molaro <lupus@debian.org>
Architecture: i386
Source: libgtk-perl
Version: 0.7008-1.7
Depends: libgtk-perl (= 0.7008-1.7), libgnome-perl (= 0.7008-1.7), libgtk-imlib-perl (= 0.7008-1.7),perlapi-5.8.0, perl (>= 5.8.0-13), gdk-imlib1, libart2 (>= 1.2.13-5), libaudiofile0 (>= 0.2.3-4), libc6 (>= 2.2.5-13), libcapplet0 (>= 1:1.4.0.1-6), libdb3 (>= 3.2.9-17), libesd0 (>= 0.2.23-1) | libesd-alsa0 (>= 0.2.23-1), libglib1.2 (>= 1.2.0), libgnome32 (>= 1.2.13-5), libgnomesupport0 (>= 1.2.13-5), libgnomeui32 (>= 1.4.2-3), libgnorba27 (>= 1.2.13-5), libgtk1.2 (>= 1.2.10-4), liborbit0 (>= 0.5.16), libpanel-applet0 (>= 1.4.0.2-3), libzvt2 (>= 1.4.1.3-3), xlibs (>> 4.1.0)
Filename: pool/main/libg/libgtk-perl/libgnome-applet-perl_0.7008-1.7_i386.deb
Size: 48652
MD5sum: f083d4b37e9a1805e065b29ea73e1fde
Description: Perl module for the gnome panel applet library.
 This module lets you use the gnome panel applet library from perl.
 It provides an object-oriented interface and is easy to use.

Package: libgnome-perl
Priority: optional
Section: interpreters
Installed-Size: 948
Maintainer: Paolo Molaro <lupus@debian.org>
Architecture: i386
Source: libgtk-perl
Version: 0.7008-1.7
Depends: libgtk-perl (= 0.7008-1.7), libgtk-imlib-perl (= 0.7008-1.7),perlapi-5.8.0, perl (>= 5.8.0-13), gdk-imlib1, libart2 (>= 1.2.13-5), libaudiofile0 (>= 0.2.3-4), libc6 (>= 2.2.5-13), libdb3 (>= 3.2.9-17), libesd0 (>= 0.2.23-1) | libesd-alsa0 (>= 0.2.23-1), libglib1.2 (>= 1.2.0), libgnome32 (>= 1.2.13-5), libgnomesupport0 (>= 1.2.13-5), libgnomeui32 (>= 1.4.2-3), libgtk1.2 (>= 1.2.10-4), libzvt2 (>= 1.4.1.3-3), xlibs (>> 4.1.0)
Suggests: libgtkxmhtml-perl
Conflicts: libgtk-perl (<< 0.7000),libgtk-imlib-perl (<< 0.7000)
Filename: pool/main/libg/libgtk-perl/libgnome-perl_0.7008-1.7_i386.deb
Size: 263518
MD5sum: 8ea40e9eb375d38de9f0cce5f8e592c6
Description: Perl module for the gnome and zvt libraries.
 This module lets you use the gnome libraries (libgnome, libgnomeui, libzvt)
 from perl.
 It provides an object-oriented interface and is easy to use.

Package: libgnome-print-perl
Priority: optional
Section: interpreters
Installed-Size: 304
Maintainer: Paolo Molaro <lupus@debian.org>
Architecture: i386
Source: libgtk-perl
Version: 0.7008-1.7
Depends: libgtk-perl (= 0.7008-1.7), libgnome-perl (= 0.7008-1.7), libgtk-imlib-perl (= 0.7008-1.7),perlapi-5.8.0, perl (>= 5.8.0-13), gdk-imlib1, libart2 (>= 1.2.13-5), libaudiofile0 (>= 0.2.3-4), libc6 (>= 2.2.5-13), libdb3 (>= 3.2.9-17), libesd0 (>= 0.2.23-1) | libesd-alsa0 (>= 0.2.23-1), libfreetype6 (>= 2.1.1-1), libgdk-pixbuf2 (>= 0.20.0-1), libglib1.2 (>= 1.2.0), libgnome32 (>= 1.2.13-5), libgnomeprint15 (>= 0.29-1), libgnomesupport0 (>= 1.2.13-5), libgnomeui32 (>= 1.4.2-3), libgtk1.2 (>= 1.2.10-4), libxml1 (>= 1:1.8.14-3), libzvt2 (>= 1.4.1.3-3), xlibs (>> 4.1.0), zlib1g (>= 1:1.1.4)
Filename: pool/main/libg/libgtk-perl/libgnome-print-perl_0.7008-1.7_i386.deb
Size: 79708
MD5sum: 11f9552a21a4cd9ab5c6ac99617f5218
Description: Perl module for the gnome print library.
 This module lets you use the gnome print library from perl.
 It provides an object-oriented interface and is easy to use.

Package: libgtk-imlib-perl
Priority: optional
Section: interpreters
Installed-Size: 220
Maintainer: Paolo Molaro <lupus@debian.org>
Architecture: i386
Source: libgtk-perl
Version: 0.7008-1.7
Depends: libgtk-perl (= 0.7008-1.7), perlapi-5.8.0, perl (>= 5.8.0-13), gdk-imlib1, libc6 (>= 2.2.5-13), libglib1.2 (>= 1.2.0), libgtk1.2 (>= 1.2.10-4), xlibs (>> 4.1.0)
Conflicts: libgnome-perl (<< 0.7000),libgtk-perl (<< 0.7000)
Filename: pool/main/libg/libgtk-perl/libgtk-imlib-perl_0.7008-1.7_i386.deb
Size: 56240
MD5sum: 298b02928b637c2f3827a8b28a469d0b
Description: Perl module for the gdkimlib library.
 This module lets you use the gdkimlib graphic library from perl.
 It provides an object-oriented interface and is easy to use.

Package: libgtk-perl
Priority: optional
Section: interpreters
Installed-Size: 2444
Maintainer: Paolo Molaro <lupus@debian.org>
Architecture: i386
Version: 0.7008-1.7
Depends: perlapi-5.8.0, perl (>= 5.8.0-13), libc6 (>= 2.2.5-13), libglib1.2 (>= 1.2.0), libgtk1.2 (>= 1.2.10-4), xlibs (>> 4.1.0)
Conflicts: libgnome-perl (<< 0.7000),libgtk-imlib-perl (<< 0.7000)
Filename: pool/main/libg/libgtk-perl/libgtk-perl_0.7008-1.7_i386.deb
Size: 798096
MD5sum: 151a27314a72384afa0b3d7e80d43359
Description: Perl module for the gtk+ library
 This module lets you use the gtk+ graphic library from perl.
 It provides an object-oriented interface and is easy to use.

Package: libgtk-pixbuf-perl
Priority: optional
Section: interpreters
Installed-Size: 212
Maintainer: Paolo Molaro <lupus@debian.org>
Architecture: i386
Source: libgtk-perl
Version: 0.7008-1.7
Depends: libgtk-perl (= 0.7008-1.7), perlapi-5.8.0, perl (>= 5.8.0-13), libc6 (>= 2.2.5-13), libgdk-pixbuf2 (>= 0.20.0-1), libglib1.2 (>= 1.2.0), libgtk1.2 (>= 1.2.10-4), xlibs (>> 4.1.0)
Filename: pool/main/libg/libgtk-perl/libgtk-pixbuf-perl_0.7008-1.7_i386.deb
Size: 53018
MD5sum: 652a67926e77e444580806cca2bc4bb9
Description: Perl module for the gdkpixbuf library.
 This module lets you use the gdkpixbuf graphic library from perl.
 It provides an object-oriented interface and is easy to use.

Package: libgtkglarea-perl
Priority: optional
Section: interpreters
Installed-Size: 192
Maintainer: Paolo Molaro <lupus@debian.org>
Architecture: i386
Source: libgtk-perl
Version: 0.7008-1.7
Depends: libgtk-perl (= 0.7008-1.7), perlapi-5.8.0, perl (>= 5.8.0-13), gtkglarea5, libc6 (>= 2.2.5-13), libglib1.2 (>= 1.2.0), libgtk1.2 (>= 1.2.10-4), xlibmesa3 | libgl1, xlibs (>> 4.1.0)
Filename: pool/main/libg/libgtk-perl/libgtkglarea-perl_0.7008-1.7_i386.deb
Size: 46302
MD5sum: d23e78ee4a56447bcbd8051beb11ff4a
Description: Perl module for the gtkglarea library.
 This module lets you use the gtkglarea graphic library from perl.
 It provides an object-oriented interface and is easy to use.

Package: libgtkxmhtml-perl
Priority: optional
Section: interpreters
Installed-Size: 184
Maintainer: Paolo Molaro <lupus@debian.org>
Architecture: i386
Source: libgtk-perl
Version: 0.7008-1.7
Depends: libgtk-perl (= 0.7008-1.7), perlapi-5.8.0, perl (>= 5.8.0-13), libc6 (>= 2.2.5-13), libglib1.2 (>= 1.2.0), libgtk1.2 (>= 1.2.10-4), libgtkxmhtml1 (>= 1.4.2-3), libjpeg62, libpng2 (>=1.0.12), xlibs (>> 4.1.0), zlib1g (>= 1:1.1.4)
Filename: pool/main/libg/libgtk-perl/libgtkxmhtml-perl_0.7008-1.7_i386.deb
Size: 44342
MD5sum: 1cec39fcd3c0093b548fad44b48ba490
Description: Perl module for the libgtkxmhtml library.
 This module lets you use the libgtkxmhtml library from perl.
 It provides an object-oriented interface and is easy to use.

Justification: Outstanding RC bugs, was contacted several times about other
issues, said he'd fix but didn't.  Got many NMUs.  dh-make-perl: 3 NMUs,
jitterbug: 3 NMUs, libcorba-orbit-perl: 1 NMU, libglade: 7 NMUs, libgnome-
gnorba-perl: 1 NMU, libgtk-perl: 6 NMUs.

-- 
Martin Michlmayr
tbm@cyrius.com



Reply sent to Stephen Zander <gibreel@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Martin Michlmayr <tbm@cyrius.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #10 received at 206885-close@bugs.debian.org (full text, mbox):

From: Stephen Zander <gibreel@debian.org>
To: 206885-close@bugs.debian.org
Subject: Bug#206885: fixed in libgtk-perl 0.7009-1
Date: Fri, 05 Mar 2004 06:02:15 -0500
Source: libgtk-perl
Source-Version: 0.7009-1

We believe that the bug you reported is fixed in the latest version of
libgtk-perl, which is due to be installed in the Debian FTP archive:

libgladexml-perl_0.7009-1_i386.deb
  to pool/main/libg/libgtk-perl/libgladexml-perl_0.7009-1_i386.deb
libgnome-perl_0.7009-1_i386.deb
  to pool/main/libg/libgtk-perl/libgnome-perl_0.7009-1_i386.deb
libgnome-print-perl_0.7009-1_i386.deb
  to pool/main/libg/libgtk-perl/libgnome-print-perl_0.7009-1_i386.deb
libgtk-imlib-perl_0.7009-1_i386.deb
  to pool/main/libg/libgtk-perl/libgtk-imlib-perl_0.7009-1_i386.deb
libgtk-perl_0.7009-1.diff.gz
  to pool/main/libg/libgtk-perl/libgtk-perl_0.7009-1.diff.gz
libgtk-perl_0.7009-1.dsc
  to pool/main/libg/libgtk-perl/libgtk-perl_0.7009-1.dsc
libgtk-perl_0.7009-1_i386.deb
  to pool/main/libg/libgtk-perl/libgtk-perl_0.7009-1_i386.deb
libgtk-perl_0.7009.orig.tar.gz
  to pool/main/libg/libgtk-perl/libgtk-perl_0.7009.orig.tar.gz
libgtk-pixbuf-perl_0.7009-1_i386.deb
  to pool/main/libg/libgtk-perl/libgtk-pixbuf-perl_0.7009-1_i386.deb
libgtkglarea-perl_0.7009-1_i386.deb
  to pool/main/libg/libgtk-perl/libgtkglarea-perl_0.7009-1_i386.deb
libgtkxmhtml-perl_0.7009-1_i386.deb
  to pool/main/libg/libgtk-perl/libgtkxmhtml-perl_0.7009-1_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 206885@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Stephen Zander <gibreel@debian.org> (supplier of updated libgtk-perl package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----

Format: 1.7
Date: Fri,  5 Mar 2004 02:05:32 -0800
Source: libgtk-perl
Binary: libgnome-perl libgtk-pixbuf-perl libgtk-imlib-perl libgladexml-perl libgtk-perl libgnome-print-perl libgtkglarea-perl libgtkxmhtml-perl
Architecture: source i386
Version: 0.7009-1
Distribution: unstable
Urgency: low
Maintainer: Stephen Zander <gibreel@debian.org>
Changed-By: Stephen Zander <gibreel@debian.org>
Description: 
 libgladexml-perl - Perl module for the libglade library
 libgnome-perl - Perl module for the gnome and zvt libraries
 libgnome-print-perl - Perl module for the gnome print library
 libgtk-imlib-perl - Perl module for the gdkimlib library
 libgtk-perl - Perl module for the gtk+ library
 libgtk-pixbuf-perl - Perl module for the gdkpixbuf library
 libgtkglarea-perl - Perl module for the gtkglarea library
 libgtkxmhtml-perl - Perl module for the libgtkxmhtml library
Closes: 69416 99177 102975 117875 145728 165906 165907 167996 180393 206885 226526
Changes: 
 libgtk-perl (0.7009-1) unstable; urgency=low
 .
   * New upstream release
   * New maintainer,
   Closes: #206885
   * Having just eliminated the binary-% targets, I'm not going to add
     build-% targets.  Yes, this package runs for a while when building.
     However, there are far worse in the archive so I don't see that it
     matters that much.  See also my comments about bug 165906 below,
   Closes: #69416
   * Add libopnegl-perl to the libgtk-perl Suggests: field in case someone
     wants to try the opengl.pl example,
   Closes: #99177
   * .SH "NAME" section in Gtk::reference.3pm.gz is now correct,
   Closes: #102975
   * Fix the function signature of Gtk->main_quit() to be in line with the
     underlying gtk_main_quit() function,
   Closes: #117875
   * Fix incorrect field name in oldtest.pl in libgtk-perl examples,
   Closes: #145728
   * I won't be splitting this package into multiple source packages as
     this is how upstream ships it.  I am willing, however, to make certain
     binary package only build on those architectures that support
     libgtk-perl's Build-Depends:.  I'll look into this more in the next
     release of the package,
   Closes: #165906
   * Validate all build dpenedencies.  Libgtk-perl *does not* need
     libungif4-dev nor does it need libtiff3g-dev in its Build-Depends,
     although on of its dependencies may,
   Closes: #165907, #180393
   * Merge NMU for libgnome-applet-perl rebuild into CVS,
   Closes: #167996
   * Patched sources so it now builds warning free,
   Closes: #226526
Files: 
 ee5be8eecd6be2ba682b0cbe14a25228 1095 perl optional libgtk-perl_0.7009-1.dsc
 bd417ae240d04d2dde53e2843925edaf 446924 perl optional libgtk-perl_0.7009.orig.tar.gz
 a4fd33d6a04fcde38616fa281447610f 8474 perl optional libgtk-perl_0.7009-1.diff.gz
 82130b5629a48e4fdb75de9646533b22 801396 perl optional libgtk-perl_0.7009-1_i386.deb
 ed38e403d034830373d6f05485310297 58094 perl optional libgtk-imlib-perl_0.7009-1_i386.deb
 aae21a52924f9decb6d0027fb6b150b2 54784 perl optional libgtk-pixbuf-perl_0.7009-1_i386.deb
 7eb8903f6914d4ad7d65c61d0f56e805 268712 perl optional libgnome-perl_0.7009-1_i386.deb
 ae24d1e43a26c092f5f0ca6a8860a1e6 82796 perl optional libgnome-print-perl_0.7009-1_i386.deb
 ac6c1edf66542dae17bce8a9758a483a 48296 perl optional libgtkglarea-perl_0.7009-1_i386.deb
 c5d79657352485153ab32a91d255c853 48978 perl optional libgladexml-perl_0.7009-1_i386.deb
 0b750d548b5b10287f8fdf95d1ab9801 46726 perl optional libgtkxmhtml-perl_0.7009-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.4 (GNU/Linux)

iQCVAwUBQEhZ6GNl6w3rzdpRAQGW2AP+OGlPvza0YT/ZA/B76/gUodd5V17kBBGE
VUDzbJxop1F107CV8wMHSFNk5g2FMuquRQCPX3UKN8jtu87b0xKMDxMQV/dXncmq
hgy9ylrXvlgE5w7LOZI/nWAVMdq/VkY1vdT0mYKF5zAmTiwGALmkRfe9Lj390K7a
93h5/u3jB0o=
=EbAP
-----END PGP SIGNATURE-----




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 21:21:00 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.